/* $Id: tsprefs.h,v 1.2 2003/04/15 00:48:16 chrisf Exp $ */

/*
TreoScreens - Select default screen for phone etc.
Copyright (C) 2003 Chris Faherty

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __TSPREFS_H__
#define __TSPREFS_H__

#define MainAppID 'Tsc1'
#define MainDBType 'DATA'

struct sprefs {
    UInt16 phoneapplaunch; /* 0=speed dial 1=keypad */
    UInt8 launch1cat; /* category for launcher */
    UInt8 launch2cat;
    UInt8 launch3cat;
};

/* function prototypes */

void LoadPrefs(struct sprefs *prefs);
void SavePrefs(struct sprefs *prefs);

#endif
