/* $Id: tsconfig.h,v 1.8 2003/04/15 00:48:16 chrisf Exp $ */

/*
TreoScreens - Select default screen for phone etc.
Copyright (C) 2003 Chris Faherty

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __TSCONFIG_H__
#define __TSCONFIG_H__

/* Features */

/* Custom events */

/* function prototypes */

Boolean MainFormHandleEvent(EventPtr e);
Boolean AboutFormHandleEvent(EventPtr e);
Boolean ContribFormHandleEvent(EventPtr e);
FieldPtr GetFocusObjectPtr(void);
Boolean FormHandleMenuEvent(UInt16 menuID);
Boolean ApplicationHandleEvent(EventPtr e);
UInt16 StartApplication(void);
void StopApplication(void);
Boolean OpenLauncherDB(DmOpenRef *db);
void CloseDatabase(DmOpenRef db);
void EventLoop(void);
UInt8 SelectCategoryPopup(DmOpenRef dbP, UInt16 trigID, UInt16 listID,
    UInt8 cat);
UInt32 PilotMain(UInt16 cmd, void *cmdPBP, UInt16 launchFlags);

#endif
